FOR EACH wm-webuser_setting EXCLUSIVE:
  FIND sp-webuser WHERE 
       sp-webuser.weblogin = wm-webuser_setting.weblogincode
       EXCLUSIVE NO-ERROR.
  IF AVAIL sp-webuser 
  THEN DO:
    sp-webuser.default_email = wm-webuser_setting.email_address.
    IF wm-webuser_setting.default_web_companycode <> "" 
    THEN DO:
      CREATE wm-webuser_company.
      ASSIGN wm-webuser_company.weblogincode    = wm-webuser_setting.weblogincode
             wm-webuser_company.web_companycode = wm-webuser_setting.default_web_companycode.
      
      FOR EACH wm-webuser_address OF wm-webuser_setting:
        wm-webuser_address.web_companycode = wm-webuser_setting.default_web_companycode.
        FOR EACH wm-webuser_address_report OF wm-webuser_setting:
          wm-webuser_address_report.web_companycode = wm-webuser_setting.default_web_companycode.
        END.
      END.
    END.
  END.
END.
