DEF BUFFER b-wm-rel_ord FOR wm-rel_ord.

DISABLE TRIGGERS FOR LOAD OF b-wm-rel_ord.

FOR EACH wm-rel_ord NO-LOCK:
  DO TRANSACTION:
    
    FIND b-wm-rel_ord EXCLUSIVE WHERE ROWID(b-wm-rel_ord) = ROWID(wm-rel_ord).
    
    IF b-wm-rel_ord.from_cust_address > 0 AND b-wm-rel_ord.from_cust_contact > 0
     AND b-wm-rel_ord.from_cust_name = ""
    THEN DO:
      FIND aa-address_contact WHERE
           aa-address_contact.addressnr = b-wm-rel_ord.from_cust_address
       AND aa-address_contact.seqnr     = b-wm-rel_ord.from_cust_contact
           NO-LOCK NO-ERROR.
      IF AVAIL aa-address_contact THEN b-wm-rel_ord.from_cust_name = aa-address_contact.name.
    END.
    IF b-wm-rel_ord.from_rec_address > 0 AND b-wm-rel_ord.from_rec_contact > 0
     AND b-wm-rel_ord.from_rec_name = ""
    THEN DO:
      FIND aa-address_contact WHERE
           aa-address_contact.addressnr = b-wm-rel_ord.from_rec_address
       AND aa-address_contact.seqnr     = b-wm-rel_ord.from_rec_contact
           NO-LOCK NO-ERROR.
      IF AVAIL aa-address_contact THEN b-wm-rel_ord.from_rec_name = aa-address_contact.name.
    END.
    IF b-wm-rel_ord.from_bank_address > 0 AND b-wm-rel_ord.from_bank_contact > 0
     AND b-wm-rel_ord.from_bank_name = ""
    THEN DO:
      FIND aa-address_contact WHERE
           aa-address_contact.addressnr = b-wm-rel_ord.from_bank_address
       AND aa-address_contact.seqnr     = b-wm-rel_ord.from_bank_contact
           NO-LOCK NO-ERROR.
      IF AVAIL aa-address_contact THEN b-wm-rel_ord.from_bank_name = aa-address_contact.name.
    END.
    
    IF b-wm-rel_ord.to_cust_address > 0 AND b-wm-rel_ord.to_cust_contact > 0
     AND b-wm-rel_ord.to_cust_name = ""
    THEN DO:
      FIND aa-address_contact WHERE
           aa-address_contact.addressnr = b-wm-rel_ord.to_cust_address
       AND aa-address_contact.seqnr     = b-wm-rel_ord.to_cust_contact
           NO-LOCK NO-ERROR.
      IF AVAIL aa-address_contact THEN b-wm-rel_ord.to_cust_name = aa-address_contact.name.
    END.
    IF b-wm-rel_ord.to_rec_address > 0 AND b-wm-rel_ord.to_rec_contact > 0
     AND b-wm-rel_ord.to_rec_name = ""
    THEN DO:
      FIND aa-address_contact WHERE
           aa-address_contact.addressnr = b-wm-rel_ord.to_rec_address
       AND aa-address_contact.seqnr     = b-wm-rel_ord.to_rec_contact
           NO-LOCK NO-ERROR.
      IF AVAIL aa-address_contact THEN b-wm-rel_ord.to_rec_name = aa-address_contact.name.
    END.
    IF b-wm-rel_ord.to_bank_address > 0 AND b-wm-rel_ord.to_bank_contact > 0
     AND b-wm-rel_ord.to_bank_name = ""
    THEN DO:
      FIND aa-address_contact WHERE
           aa-address_contact.addressnr = b-wm-rel_ord.to_bank_address
       AND aa-address_contact.seqnr     = b-wm-rel_ord.to_bank_contact
           NO-LOCK NO-ERROR.
      IF AVAIL aa-address_contact THEN b-wm-rel_ord.to_bank_name = aa-address_contact.name.
    END.
  
  END.
END.
