DEF BUFFER b-wm-rel_line FOR wm-rel_line.
DISABLE TRIGGERS FOR LOAD OF b-wm-rel_line.
FOR EACH wm-rel_line FIELDS(ind_internal_no_allocation) NO-LOCK:
  IF wm-rel_line.ind_internal_no_allocation = TRUE
  THEN DO:
    RUN resetSwitch.
  END.
END.

PROCEDURE resetSwitch:
  DO TRANSACTION:
    FIND b-wm-rel_line EXCLUSIVE WHERE ROWID(b-wm-rel_line) = ROWID(wm-rel_line).
    b-wm-rel_line.ind_internal_no_allocation = FALSE.
  END.
END PROCEDURE.

