{system/conversion/conversion_progress.i}

DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cTerminalCode                 AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Visit item"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-visit_item".

DISABLE TRIGGERS FOR LOAD OF wm-visit_item.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

/*FOR EACH wm-visit_item EXCLUSIVE-LOCK:                                                                  */
/*                                                                                                        */
/*  cTerminalCode = "".                                                                                   */
/*  CASE wm-visit_item.order_typecode :                                                                   */
/*    WHEN "VISITOR" THEN cTerminalCode = wm-visit_item.loc_terminalcode.                                 */
/*    WHEN "OUTTAKE" THEN                                                                                 */
/*    DO.                                                                                                 */
/*      FIND wm-out_ord WHERE wm-out_ord.companycode = wm-visit_item.companycode                          */
/*                        AND wm-out_ord.out_ordnr   = wm-visit_item.out_ordnr NO-LOCK.                   */
/*      IF AVAIL wm-out_ord THEN                                                                          */
/*      DO.                                                                                               */
/*        FIND wm-loc_stack WHERE wm-loc_stack.companycode = wm-out_ord.companycode                       */
/*                            AND wm-loc_stack.location_id = wm-out_ord.cur_location_id NO-LOCK NO-ERROR. */
/*        IF AVAIL wm-loc_stack                                                                           */
/*        THEN cTerminalcode = wm-loc_stack.loc_terminalcode.                                             */
/*      END.                                                                                              */
/*    END.                                                                                                */
/*    WHEN "INTAKE" THEN                                                                                  */
/*    DO.                                                                                                 */
/*      FIND wm-in_ord WHERE wm-in_ord.companycode = wm-visit_item.companycode                            */
/*                       AND wm-in_ord.in_ordnr    = wm-visit_item.in_ordnr NO-LOCK.                      */
/*      IF AVAIL wm-in_ord THEN                                                                           */
/*      DO.                                                                                               */
/*        FIND wm-loc_stack WHERE wm-loc_stack.companycode = wm-in_ord.companycode                        */
/*                            AND wm-loc_stack.location_id = wm-in_ord.cur_location_id NO-LOCK NO-ERROR.  */
/*        IF AVAIL wm-loc_stack                                                                           */
/*        THEN cTerminalcode = wm-loc_stack.loc_terminalcode.                                             */
/*      END.                                                                                              */
/*    END.                                                                                                */
/*  END CASE.                                                                                             */
/*                                                                                                        */
/*  FIND wm-loc_terminal WHERE wm-loc_terminal.companycode      = wm-visit_item.companycode               */
/*                         AND wm-loc_terminal.loc_terminalcode = cTerminalCode NO-LOCK NO-ERROR.         */
/*  IF AVAIL wm-loc_terminal THEN ASSIGN wm-visit_item.loc_terminalcode = wm-loc_terminal.loc_terminalcode*/
/*                                       wm-visit_item.loc_gatecode     = wm-loc_terminal.loc_gatecode.   */
/*  iDone = iDone + 1.                                                                                    */
/*  IF iDone MODULO 100 = 0                                                                               */
/*  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).                                  */
/*END.                                                                                                    */

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
