{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Stock position"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-release".

DEF BUFFER b-wm-release   FOR wm-release.
DEF BUFFER b-wm-release-2 FOR wm-release.

DISABLE TRIGGERS FOR LOAD OF b-wm-release.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-release WHERE ind_master = TRUE NO-LOCK:
  DO TRANSACTION:
    FIND b-wm-release EXCLUSIVE WHERE ROWID(b-wm-release) = ROWID(wm-release).
    IF b-wm-release.attachmentnr = 0 THEN
    DO.
      b-wm-release.attachmentnr = NEXT-VALUE(aa-attachment).
      FOR EACH b-wm-release-2 WHERE b-wm-release-2.companycode      = b-wm-release.companycode
                                AND b-wm-release-2.master_releasenr = b-wm-release.releasenr EXCLUSIVE-LOCK.
        b-wm-release-2.attachmentnr = b-wm-release.attachmentnr.
      END.
    END.
  END.
  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
