
/*------------------------------------------------------------------------
    File        : wm-2003-after-03-wm-message.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : Wed Feb 14 11:34:00 CET 2018
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF

DEFINE VARIABLE cProgram   AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel       AS INTEGER   NO-UNDO.


/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert message codes"
  cTable   = "wm-message"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
 
DEF BUFFER b-wm-messagecode FOR wm-messagecode.
  
DISABLE TRIGGERS FOR LOAD OF b-wm-messagecode.
  
FIND b-wm-messagecode WHERE b-wm-messagecode.messagecode = "SSD-NRTP" NO-LOCK NO-ERROR.
IF NOT AVAIL b-wm-messagecode THEN 
DO.
  CREATE b-wm-messagecode.
  ASSIGN b-wm-messagecode.messagecode    = "SSD-NRTP"
         b-wm-messagecode.messagetype    = "VISIT"
         b-wm-messagecode.des            = "Visit contains orders that are not ready to process"
         b-wm-messagecode.default_remark = "Truck driver returned to his truck and is waiting for our sms/email to proceed to the gate."
         b-wm-messagecode.ind_inactive   = FALSE.
END.

iTotal = 1. iDone = 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
