
/*------------------------------------------------------------------------
    File        : wm-2003-after-04-wm-ssd_dialogue_object.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : Wed Feb 14 11:34:00 CET 2018
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */

&IF defined(DEBUG) > 0 &THEN
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF

DEFINE VARIABLE cProgram   AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel       AS INTEGER   NO-UNDO.
DEFINE VARIABLE lOrd2      AS LOGICAL   NO-UNDO.

DEF BUFFER b-wm-ssd_dialogue_object FOR wm-ssd_dialogue_object.
DEF BUFFER b-wm-ssd_dialogue_page   FOR wm-ssd_dialogue_page.

/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */
DISABLE TRIGGERS FOR LOAD OF b-wm-ssd_dialogue_page.
DISABLE TRIGGERS FOR LOAD OF b-wm-ssd_dialogue_object.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert ssd dialogue pages"
  cTable   = "wm-ssd_dialogue_page"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
FOR EACH wm-ssd_dialogue NO-LOCK.
  lOrd2 = FALSE.
  FOR EACH b-wm-ssd_dialogue_page WHERE b-wm-ssd_dialogue_page.ssd_dialogue_code = wm-ssd_dialogue.ssd_dialogue_code EXCLUSIVE-LOCK.
    IF b-wm-ssd_dialogue_page.ssd_dialogue_object_code = "SP-COD" OR b-wm-ssd_dialogue_page.ssd_dialogue_object_code = "SP-ID-M" THEN DELETE b-wm-ssd_dialogue_page.
    ELSE IF b-wm-ssd_dialogue_page.ssd_dialogue_object_code = "SP-ORDERLIST-2" THEN lOrd2 = TRUE. 
  END. 
  IF lOrd2 THEN 
  DO.
    FIND b-wm-ssd_dialogue_page WHERE b-wm-ssd_dialogue_page.ssd_dialogue_code        = wm-ssd_dialogue.ssd_dialogue_code 
                                  AND b-wm-ssd_dialogue_page.ssd_dialogue_object_code = "SP-ORDERLIST-1" EXCLUSIVE-LOCK NO-ERROR.
    IF AVAIL b-wm-ssd_dialogue_page THEN DELETE b-wm-ssd_dialogue_page.
  END.
END.

