
/*------------------------------------------------------------------------
    File        : wm-2101-after-02-wm-parameter_generic.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : Wed Feb 14 11:34:00 CET 2018
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF

DEFINE VARIABLE cProgram   AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone      AS INTEGER   NO-UNDO.

/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert generic parameters"
  cTable   = "wm-parameter_generic"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
 
DEF BUFFER b-wm-parameter_generic FOR wm-parameter_generic.
  
DISABLE TRIGGERS FOR LOAD OF b-wm-parameter_generic.

FOR EACH sp-company NO-LOCK.
  FIND b-wm-parameter_generic WHERE b-wm-parameter_generic.companycode     = sp-company.companycode
                                AND b-wm-parameter_generic.parameter_group = "SSD"
                                AND b-wm-parameter_generic.parameter_name  = "GateRfConfig" EXCLUSIVE-LOCK NO-ERROR.
  IF AVAIL b-wm-parameter_generic THEN
  DO.
    IF b-wm-parameter_generic.parameter_value = ""       THEN b-wm-parameter_generic.parameter_value = b-wm-parameter_generic.parameter_initial_value.
    IF b-wm-parameter_generic.parameter_value = "[none]" THEN b-wm-parameter_generic.parameter_value = "".  
    b-wm-parameter_generic.parameter_initial_value = "".
  END.

  iTotal = iTotal + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.