
/*------------------------------------------------------------------------
    File        : wm-2103-after-01-wm-ssd.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : Wed Feb 14 11:34:00 CET 2018
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF

DEFINE VARIABLE cProgram   AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel       AS INTEGER   NO-UNDO.

DEF BUFFER b-wm-ssd       FOR wm-ssd.

/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */

DISABLE TRIGGERS FOR LOAD OF b-wm-ssd.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert wm-ssd"
  cTable   = "wm-ssd"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH b-wm-ssd EXCLUSIVE-LOCK.
  b-wm-ssd.statuscode = "IDLE".
  
  FIND wm-control WHERE wm-control.controlname = "wm-ssd"                      
                    AND wm-control.controlkey1 = b-wm-ssd.ssd_code                     
                    AND wm-control.controlkey2 = b-wm-ssd.ssd_code
                    AND wm-control.controlkey3 = ""                                 
                    AND wm-control.controlkey4 = "acu_id1" EXCLUSIVE-LOCK NO-ERROR.
  IF AVAIL wm-control THEN
  DO.
    b-wm-ssd.acu_id1 = wm-control.controlvalue.
    DELETE wm-control.
  END.
  FIND wm-control WHERE wm-control.controlname = "wm-ssd"                      
                    AND wm-control.controlkey1 = b-wm-ssd.ssd_code                     
                    AND wm-control.controlkey2 = b-wm-ssd.ssd_code
                    AND wm-control.controlkey3 = ""                                 
                    AND wm-control.controlkey4 = "acu_id2" EXCLUSIVE-LOCK NO-ERROR.
  IF AVAIL wm-control THEN 
  DO.
    b-wm-ssd.acu_id2 = wm-control.controlvalue.
    DELETE wm-control.
  END.
  
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

 
   
    