DEF VAR cActivities AS CHAR NO-UNDO.
DEF VAR cMessage    AS CHAR NO-UNDO.
DEF VAR iCount      AS INT  NO-UNDO.

DEF BUFFER b-sp-company FOR sp-company.

OUTPUT TO VALUE(SESSION:TEMP-DIR + "wm-activity-aa-costcode-check.txt").

FOR EACH b-sp-company:
  PUT UNFORMATTED SKIP(1) "COMPANY:" b-sp-company.companycode SKIP(1).
  FOR EACH wm-activity NO-LOCK BREAK BY wm-activity.costcode BY wm-activity.activitycode:
    IF FIRST-OF(wm-activity.costcode)
    THEN DO:
      iCount      = 0.
      cActivities = "".
      cMessage    = "*OK*".
      IF wm-activity.costcode <> ""
      THEN PUT UNFORMATTED "Costcode:" wm-activity.costcode.
      ELSE PUT UNFORMATTED "Costcode:[LEEG]".
    END.
    
    iCount = iCount + 1.
    cActivities = cActivities + (IF cActivities = "" THEN "" ELSE "+")
                + wm-activity.activitycode.
    IF iCount > 1 THEN cMessage = "*Meerdere activities verwijzen naar dezelfde cosecode*".
    IF wm-activity.costcode <> ""
    THEN DO:
      FIND aa-costcode WHERE
           aa-costcode.companycode = b-sp-company.companycode
       AND aa-costcode.costcode    = wm-activity.costcode
           NO-LOCK NO-ERROR.
      IF AVAIL aa-costcode 
       AND (   aa-costcode.vat_countrycode <> wm-activity.vat_countrycode
            OR aa-costcode.vatcode         <> wm-activity.vatcode        )
      THEN cMessage = "*VAT instellingen komen niet overeen*". 
      
      IF NOT AVAIL aa-costcode 
      THEN cMessage = "*Cost code komt niet voor*". 
    END.
    
    IF LAST-OF(wm-activity.costcode)
    THEN DO:
      PUT UNFORMATTED " Activity:" AT 15 cActivities " " AT 65 cMessage SKIP.
    END.
  END.
END.

OUTPUT CLOSE.
