{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Global customer profiles"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-address_global".

DEF BUFFER b-wm-address_global      FOR wm-address_global.
DISABLE TRIGGERS FOR LOAD OF b-wm-address_global.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-address NO-LOCK:
  IF NOT CAN-FIND(b-wm-address_global NO-LOCK WHERE
                  b-wm-address_global.addressnr = wm-address.addressnr) 
  THEN DO TRANSACTION:
    CREATE b-wm-address_global.
    ASSIGN b-wm-address_global.addressnr             = wm-address.addressnr
           b-wm-address_global.block_stock_qty_field = "[none]".
    iDone = iDone + 1.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
END.
