{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Service codes"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-service".

DEF BUFFER b-wm-service    FOR wm-service.
DISABLE TRIGGERS FOR LOAD OF b-wm-service.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-service NO-LOCK:
  DO TRANSACTION:
    FIND b-wm-service EXCLUSIVE WHERE ROWID(b-wm-service) = ROWID(wm-service).
    
    FIND wm-control WHERE
         wm-control.controlname = "setting_wm-service" 
     AND wm-control.controlkey1 = "" 
     AND wm-control.controlkey2 = "fin_dossier_project" 
     AND wm-control.controlkey3 = b-wm-service.servicecode
     AND wm-control.controlkey4 = ""
         NO-LOCK NO-ERROR.
    IF AVAIL wm-control 
    THEN DO:
      IF wm-control.controlvalue = "yes"
      THEN b-wm-service.ind_project_fin_dossier = TRUE.
    END.
    iDone = iDone + 1.
    IF iDone MODULO 100 = 0
    THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
