{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Product"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-product".

DEF BUFFER b-wm-product FOR wm-product.
DISABLE TRIGGERS FOR LOAD OF b-wm-product.

DEF BUFFER b-wm-product_cds_goed FOR wm-product_cds_goed.
DISABLE TRIGGERS FOR LOAD OF b-wm-product_cds_goed.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-product NO-LOCK:
  DO TRANSACTION:
    FIND b-wm-product EXCLUSIVE WHERE ROWID(b-wm-product) = ROWID(wm-product).
    IF b-wm-product.cds_productnr > 0
    THEN DO:
      IF b-wm-product.dt_cds_valid_from = ?
      THEN b-wm-product.dt_cds_valid_from = DATE("01/01/2000").
      IF NOT CAN-FIND(b-wm-product_cds_goed NO-LOCK WHERE
                      b-wm-product_cds_goed.product_id    = b-wm-product.product_id    
                  AND b-wm-product_cds_goed.cds_productnr = b-wm-product.cds_productnr    
                  AND b-wm-product_cds_goed.dt_valid_from = b-wm-product.dt_cds_valid_from ) 
      THEN DO:
        CREATE b-wm-product_cds_goed.
        ASSIGN b-wm-product_cds_goed.product_id    = b-wm-product.product_id    
               b-wm-product_cds_goed.cds_productnr = b-wm-product.cds_productnr    
               b-wm-product_cds_goed.dt_valid_from = b-wm-product.dt_cds_valid_from
               .
      END.
    END.
  END.
  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
