{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cLocation                     AS CHARACTER NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Conversie WM messagecodes"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-messagecode".

DEFINE BUFFER b-wm-messagecode FOR wm-messagecode.

DISABLE TRIGGERS FOR LOAD OF b-wm-messagecode.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-messagecode WHERE b-wm-messagecode.messagecode = "SSD-ACCESS" NO-LOCK NO-ERROR.
IF NOT AVAIL b-wm-messagecode THEN 
DO.
  CREATE b-wm-messagecode.
  ASSIGN b-wm-messagecode.messagecode    = "SSD-ACCESS"
         b-wm-messagecode.messagetype    = "VISIT"
         b-wm-messagecode.des            = "Force access to the premises automatically"
         b-wm-messagecode.default_remark = ""
         b-wm-messagecode.ind_inactive   = FALSE.
  iDone  = iDone + 1.
  iTotal = iTotal + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

FIND b-wm-messagecode WHERE b-wm-messagecode.messagecode = "SSD-NODOCK" NO-LOCK NO-ERROR.
IF NOT AVAIL b-wm-messagecode THEN 
DO.
  CREATE b-wm-messagecode.
  ASSIGN b-wm-messagecode.messagecode    = "SSD-NODOCK"
         b-wm-messagecode.messagetype    = "VISIT"
         b-wm-messagecode.des            = "Dock location unknown for one or more orders on this visit"
         b-wm-messagecode.default_remark = "Truck driver is waiting for instructions"
         b-wm-messagecode.ind_inactive   = FALSE.
  iDone  = iDone + 1.
  iTotal = iTotal + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

FIND b-wm-messagecode WHERE b-wm-messagecode.messagecode = "SSD-ONHOLD" NO-LOCK NO-ERROR.
IF NOT AVAIL b-wm-messagecode THEN 
DO.
  CREATE b-wm-messagecode.
  ASSIGN b-wm-messagecode.messagecode    = "SSD-ONHOLD"
         b-wm-messagecode.messagetype    = "VISIT"
         b-wm-messagecode.des            = "Visit placed on hold for some reason"
         b-wm-messagecode.default_remark = "Truck driver is waiting for instructions"
         b-wm-messagecode.ind_inactive   = FALSE.
  iDone  = iDone + 1.
  iTotal = iTotal + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

FIND b-wm-messagecode WHERE b-wm-messagecode.messagecode = "SSD-TIMEX" NO-LOCK NO-ERROR.
IF NOT AVAIL b-wm-messagecode THEN 
DO.
  CREATE b-wm-messagecode.
  ASSIGN b-wm-messagecode.messagecode    = "SSD-TIMEX"
         b-wm-messagecode.messagetype    = "VISIT"
         b-wm-messagecode.des            = "Timeslot violation"
         b-wm-messagecode.default_remark = "Truck driver is waiting for instructions"
         b-wm-messagecode.ind_inactive   = FALSE.
  iDone  = iDone + 1.
  iTotal = iTotal + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

FIND b-wm-messagecode WHERE b-wm-messagecode.messagecode = "SSD-TRLIC" NO-LOCK NO-ERROR.
IF NOT AVAIL b-wm-messagecode THEN 
DO.
  CREATE b-wm-messagecode.
  ASSIGN b-wm-messagecode.messagecode    = "SSD-TRLIC"
         b-wm-messagecode.messagetype    = "VISIT"
         b-wm-messagecode.des            = "Truck license mismatch with visit"
         b-wm-messagecode.default_remark = "Truck driver is waiting for instructions"
         b-wm-messagecode.ind_inactive   = FALSE.
  iDone  = iDone + 1.
  iTotal = iTotal + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
  
  
