
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

DEF VAR sp-companycode AS CHAR NO-UNDO.

DEF BUFFER b-wm-address FOR wm-address.

DISABLE TRIGGERS FOR LOAD OF b-wm-address.

/* ************************  Function Prototypes ********************** */

    
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert customer profile"
  cTable   = "wm-address"
  iTotal   = 0
  iDone    = 0.


/* ***************************  Main Block  *************************** */

 
FOR EACH sp-company NO-LOCK.
  sp-companycode = sp-company.companycode.
  
  FOR EACH b-wm-address WHERE b-wm-address.companycode = sp-companycode EXCLUSIVE-LOCK.
    IF b-wm-address.visitref_in1  = "" THEN b-wm-address.visitref_in1  = "custref_in1".
    IF b-wm-address.visitref_in2  = "" THEN b-wm-address.visitref_in2  = "custref_in2".
    IF b-wm-address.visitref_out1 = "" THEN b-wm-address.visitref_out1 = "custref_out1".
    IF b-wm-address.visitref_out2 = "" THEN b-wm-address.visitref_out2 = "custref_out2".
    iDone = iDone + 1.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
  
END.
  

/* **********************  Internal Procedures  *********************** */

/* ************************  Function Implementations ***************** */




